#ifndef CHANNEL_LIST_H
#define CHANNEL_LIST_H


#define FIRST_CHANNEL 13
#define MAX_CHANNEL_NAME 32


class CChannelList {
	int m_NumChannels;
	int m_ChannelOffset;
	class CChannelInfo **m_ppList;
public:
	CChannelList();
	~CChannelList();
	int NumChannels() const { return m_NumChannels; }
	bool AddChannel(int Space,int Channel,int No,LPCTSTR pszName);
	int GetSpace(int No) const;
	int GetChannel(int No) const;
	int GetChannelNo(int No) const;
	int GetChannelIndex(int No) const;
	LPCTSTR GetName(int No) const;
	bool SetChannelOffset(int Offset);
	void Clear();
	int FindChannelNo(int No) const;
	int GetNextChannelNo(int ChannelNo,bool fWrap=false) const;
	int GetPrevChannelNo(int ChannelNo,bool fWrap=false) const;
};


#endif
